Bug 171845 - postfix_disable_trans not available in targeted policy
postfix_disable_trans not available in targeted policy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 19:05 EDT by Bojan Smojver
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.27.1-2.11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 00:18:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2005-10-26 19:05:37 EDT
Description of problem:
The postfix disable_trans is not available as one of the booleans in the
targeted policy. It would be really useful if this existed, like it does for
most other daemons.

Version-Release number of selected component (if applicable):
1.27.1-2.6

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
N/A

Expected results:
N/A

Additional info:

Here is the list of all _disable_trans booleans currently available:
------------------------------------
NetworkManager_disable_trans      inactive
apmd_disable_trans                inactive
arpwatch_disable_trans            inactive
auditd_disable_trans              inactive
bluetooth_disable_trans           inactive
canna_disable_trans               inactive
cardmgr_disable_trans             inactive
comsat_disable_trans              inactive
cupsd_config_disable_trans        inactive
cupsd_disable_trans               inactive
cupsd_lpd_disable_trans           inactive
cvs_disable_trans                 inactive
cyrus_disable_trans               inactive
dbskkd_disable_trans              inactive
dhcpc_disable_trans               inactive
dhcpd_disable_trans               inactive
dovecot_disable_trans             inactive
fingerd_disable_trans             inactive
ftpd_disable_trans                inactive
gssd_disable_trans                inactive
hald_disable_trans                inactive
hotplug_disable_trans             inactive
howl_disable_trans                inactive
hplip_disable_trans               inactive
httpd_disable_trans               inactive
httpd_suexec_disable_trans        inactive
inetd_child_disable_trans         inactive
inetd_disable_trans               inactive
innd_disable_trans                inactive
kadmind_disable_trans             inactive
klogd_disable_trans               inactive
krb5kdc_disable_trans             inactive
ktalkd_disable_trans              inactive
lpd_disable_trans                 inactive
mysqld_disable_trans              inactive
named_disable_trans               inactive
nfsd_disable_trans                inactive
nmbd_disable_trans                inactive
nscd_disable_trans                inactive
ntpd_disable_trans                inactive
pegasus_disable_trans             inactive
portmap_disable_trans             inactive
postgresql_disable_trans          inactive
pppd_disable_trans                inactive
pptp_disable_trans                inactive
privoxy_disable_trans             inactive
ptal_disable_trans                inactive
radiusd_disable_trans             inactive
radvd_disable_trans               inactive
rlogind_disable_trans             inactive
rpcd_disable_trans                inactive
rsync_disable_trans               inactive
saslauthd_disable_trans           inactive
slapd_disable_trans               inactive
smbd_disable_trans                inactive
snmpd_disable_trans               inactive
squid_disable_trans               inactive
stunnel_disable_trans             inactive
syslogd_disable_trans             inactive
system_dbusd_disable_trans        inactive
telnetd_disable_trans             inactive
tftpd_disable_trans               inactive
udev_disable_trans                inactive
uucpd_disable_trans               inactive
winbind_disable_trans             inactive
ypbind_disable_trans              inactive
ypserv_disable_trans              inactive
zebra_disable_trans               inactive
------------------------------------
Comment 1 Daniel Walsh 2005-10-26 22:36:48 EDT
Fixed in 1.27.1-2.10
Comment 2 Bojan Smojver 2005-10-26 23:54:31 EDT
Thanks for the quick fix.

Any particular reason for calling it disable_postfix_trans, as opposed to
postfix_disable_trans, which would follow the other daemons' naming convention?
Comment 3 Daniel Walsh 2005-10-26 23:59:04 EDT
Nope I made a mistake.  I will fix it in 11.
Comment 4 Bojan Smojver 2005-10-27 00:02:52 EDT
Thanks.
Comment 5 Bojan Smojver 2005-11-23 00:18:42 EST
Closing, this has been fixed.

Note You need to log in before you can comment on or make changes to this bug.